<?php
/*
Plugin Name: DepositFiles Uploader
Plugin URI: http://my-tools.net/depositfiles-uploader/
Description: MCE toolbar button for quick access to DepositFiles uploader.
Author: DKameleon
Version: 1.0
Author URI: http://dkameleon.com/
*/
class DepositFilesUploader {

	function DepositFilesUploader() {
		add_filter( 'mce_buttons_3', array(&$this, 'mce_buttons') );
		add_filter( 'mce_external_plugins', array(&$this, 'mce_external_plugins') );
	}

	function mce_external_plugins($plugin_array) {
		$plugin_array['depositfilesuploader'] = plugins_url ('/depositfiles-uploader/js/editor_plugin.js');
		return $plugin_array;
	}

	function mce_buttons($buttons) {
		array_push($buttons, "depositfilesuploader");
		return $buttons;
	}

}

$depositfilesuploader = new DepositFilesUploader();

?>