(function()
{
	tinymce.PluginManager.requireLangPack('depositfilesuploader');

	tinymce.create('tinymce.plugins.DepositFilesUploaderPlugin', {

			init : function(ed, url) {

				ed.addCommand('mceDepositFilesUploader', function() {
					ed.windowManager.open({
						url : url + '/df.html',
						width : 370,
						height : 80,
						inline : 1
					});
				});

				ed.addButton('depositfilesuploader', {
					title : 'DepositFiles Uploader',
					cmd : 'mceDepositFilesUploader',
					image : url + '/img/depositfiles.gif'
				});

			},

			createControl : function(n, cm) {
				return null;
			},

			getInfo : function() {
				return {
					longname : 'DepositFiles Uploader Plugin',
					author : 'DKameleon',
					authorurl : 'http://dkameleon.com',
					infourl : 'http://my-tools.net/depositfiles-uploader/',
					version : "1.0"
				};
			}
		});

	tinymce.PluginManager.add('depositfilesuploader', tinymce.plugins.DepositFilesUploaderPlugin);

})();
